package com.sunyard.chsm.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.KeyInfoDTO;
import com.sunyard.chsm.enums.KeyCategory;
import com.sunyard.chsm.model.R;
import com.sunyard.chsm.service.KeyInfoService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * 对称密钥管理接口
 *
 * @author liulu
 * @since 2024/10/28
 */
@RestController
@RequestMapping("/key/info/sym")
public class KeyInfoSymController {

    @Resource
    private KeyInfoService keyInfoService;


    /**
     * 分页查询对称密钥列表
     *
     * @param query 查询条件
     * @return 分页列表
     */
    @GetMapping("/pageList")
    public R<Page<KeyInfoDTO.View>> symPageList(KeyInfoDTO.Query query) {
        query.setKeyType(KeyCategory.SYM_KEY.getCode());
        Page<KeyInfoDTO.View> page = keyInfoService.selectPageList(query);

        return R.data(page);
    }

    /**
     * 密钥备份
     *
     * @param backup 参数
     */
    @PostMapping("/backup")
    public void backupKey(@Valid @RequestBody KeyInfoDTO.Backup backup) {

    }


}
